#!/bin/bash
#countdown-timer bash script by Paul Arnote, The PCLinuxOS Magazine, March 2024

hs=$(zenity --entry --title="Visszaszámlátó stopper" --text="Add meg az időzítéshez az őrák számát...")
    if [ $? == 1 ]; then
      exit
    fi
    hours=$(( $hs*3600 ))
    
ms=$(zenity --entry --title="Visszaszámlátó stopper" --text="Add meg az időzítéshez a percek számát...")
    if [ $? == 1 ]; then
      exit
    fi
    if [[ ( $(($ms)) -lt 0 ) || ( $(($ms)) -gt 59 ) ]]; then
       zenity --error --title="Visszaszámlátó stopper" --width=200 --height 100 --error --text="Szekesztés.\n\nA bevitt érték\nnem érvényes.\n\nA számnak 0 &amp; 59 között\n kell lennie."
      exit
    fi
    minutes=$(( $ms*60 ))
    
ss=$(zenity --entry --title="Visszaszámlátó stopper" --text="Add meg az időzítéshez a másopdpercek számát...")
    if [ $? == 1 ]; then
      exit
    fi

timeout=$(( $hours+$minutes+$ss ))

for (( i=0 ; i <= $timeout ; i++ )) do 
    timeleft=$(printf "%02d őra %02d perc %02d másodperc" $(( ($timeout - $i)/3600 )) $(( ($timeout - $i)%3600/60 )) $(( ($timeout - $i)%60 )))
    echo "# A hátralévő idő $timeleft"
    echo $[ 100 * $i / $timeout ]
    sleep 1
done | zenity  --progress --title="Hátralévő idő:"  \
    --window-icon=warning --width=400 --auto-close

if [ $? = 0 ] ; then
    if [ ! -e "$1" ] || [ ! -f "$1" ]; then
        play -v 0.9 /usr/share/sounds/freedesktop/stereo/alarm-clock-elapsed.oga
    else
       	play -v 0.5 "$1"
    fi
else 
    zenity --info --title="Visszaszámlátó stopper" --timeout=10 --text="Időzítő leállítva"
fi
